io.etcd.jetcd.api

## Class AuthRoleListResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleListResponse.Builder>
      - - io.etcd.jetcd.api.AuthRoleListResponse.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, AuthRoleListResponseOrBuilder, Cloneable

Enclosing class:
  AuthRoleListResponse

    public static final class AuthRoleListResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleListResponse.Builder>
    implements AuthRoleListResponseOrBuilder

Protobuf type `etcdserverpb.AuthRoleListResponse`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`AuthRoleListResponse.Builder` `addAllRoles(Iterable<String> values)` `repeated string roles = 2;`
`AuthRoleListResponse.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`AuthRoleListResponse.Builder` `addRoles(String value)` `repeated string roles = 2;`
`AuthRoleListResponse.Builder` `addRolesBytes(com.google.protobuf.ByteString value)` `repeated string roles = 2;`
`AuthRoleListResponse` `build()`
`AuthRoleListResponse` `buildPartial()`
`AuthRoleListResponse.Builder` `clear()`
`AuthRoleListResponse.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`AuthRoleListResponse.Builder` `clearHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`AuthRoleListResponse.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`AuthRoleListResponse.Builder` `clearRoles()` `repeated string roles = 2;`
`AuthRoleListResponse.Builder` `clone()`
`AuthRoleListResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeader.Builder` `getHeaderBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`String` `getRoles(int index)` `repeated string roles = 2;`
`com.google.protobuf.ByteString` `getRolesBytes(int index)` `repeated string roles = 2;`
`int` `getRolesCount()` `repeated string roles = 2;`
`com.google.protobuf.ProtocolStringList` `getRolesList()` `repeated string roles = 2;`
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`AuthRoleListResponse.Builder` `mergeFrom(AuthRoleListResponse other)`
`AuthRoleListResponse.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`AuthRoleListResponse.Builder` `mergeFrom(com.google.protobuf.Message other)`
`AuthRoleListResponse.Builder` `mergeHeader(ResponseHeader value)` `.etcdserverpb.ResponseHeader header = 1;`
`AuthRoleListResponse.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`AuthRoleListResponse.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`AuthRoleListResponse.Builder` `setHeader(ResponseHeader.Builder builderForValue)` `.etcdserverpb.ResponseHeader header = 1;`
`AuthRoleListResponse.Builder` `setHeader(ResponseHeader value)` `.etcdserverpb.ResponseHeader header = 1;`
`AuthRoleListResponse.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`AuthRoleListResponse.Builder` `setRoles(int index, String value)` `repeated string roles = 2;`
`AuthRoleListResponse.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleListResponse.Builder>`

#### clear

    public AuthRoleListResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleListResponse.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleListResponse.Builder>`

#### getDefaultInstanceForType

    public AuthRoleListResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public AuthRoleListResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public AuthRoleListResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public AuthRoleListResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleListResponse.Builder>`

#### setField

    public AuthRoleListResponse.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                 Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleListResponse.Builder>`

#### clearField

    public AuthRoleListResponse.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleListResponse.Builder>`

#### clearOneof

    public AuthRoleListResponse.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleListResponse.Builder>`

#### setRepeatedField

    public AuthRoleListResponse.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                         int index,
                                                         Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleListResponse.Builder>`

#### addRepeatedField

    public AuthRoleListResponse.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                         Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleListResponse.Builder>`

#### mergeFrom

    public AuthRoleListResponse.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<AuthRoleListResponse.Builder>`

#### mergeFrom

    public AuthRoleListResponse.Builder mergeFrom(AuthRoleListResponse other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleListResponse.Builder>`

#### mergeFrom

    public AuthRoleListResponse.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<AuthRoleListResponse.Builder>`
Throws:
  `IOException`

#### hasHeader

    public boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `hasHeader` in interface `AuthRoleListResponseOrBuilder`
Returns:
  Whether the header field is set.

#### getHeader

    public ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeader` in interface `AuthRoleListResponseOrBuilder`
Returns:
  The header.

#### setHeader

    public AuthRoleListResponse.Builder setHeader(ResponseHeader value)

`.etcdserverpb.ResponseHeader header = 1;`

#### setHeader

    public AuthRoleListResponse.Builder setHeader(ResponseHeader.Builder builderForValue)

`.etcdserverpb.ResponseHeader header = 1;`

#### mergeHeader

    public AuthRoleListResponse.Builder mergeHeader(ResponseHeader value)

`.etcdserverpb.ResponseHeader header = 1;`

#### clearHeader

    public AuthRoleListResponse.Builder clearHeader()

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderBuilder

    public ResponseHeader.Builder getHeaderBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderOrBuilder

    public ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeaderOrBuilder` in interface `AuthRoleListResponseOrBuilder`

#### getRolesList

    public com.google.protobuf.ProtocolStringList getRolesList()

`repeated string roles = 2;`

Specified by:
  `getRolesList` in interface `AuthRoleListResponseOrBuilder`
Returns:
  A list containing the roles.

#### getRolesCount

    public int getRolesCount()

`repeated string roles = 2;`

Specified by:
  `getRolesCount` in interface `AuthRoleListResponseOrBuilder`
Returns:
  The count of roles.

#### getRoles

    public String getRoles(int index)

`repeated string roles = 2;`

Specified by:
  `getRoles` in interface `AuthRoleListResponseOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The roles at the given index.

#### getRolesBytes

    public com.google.protobuf.ByteString getRolesBytes(int index)

`repeated string roles = 2;`

Specified by:
  `getRolesBytes` in interface `AuthRoleListResponseOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the roles at the given index.

#### setRoles

    public AuthRoleListResponse.Builder setRoles(int index,
                                                 String value)

`repeated string roles = 2;`

Parameters:
  `index` - The index to set the value at.
  `value` - The roles to set.
Returns:
  This builder for chaining.

#### addRoles

    public AuthRoleListResponse.Builder addRoles(String value)

`repeated string roles = 2;`

Parameters:
  `value` - The roles to add.
Returns:
  This builder for chaining.

#### addAllRoles

    public AuthRoleListResponse.Builder addAllRoles(Iterable<String> values)

`repeated string roles = 2;`

Parameters:
  `values` - The roles to add.
Returns:
  This builder for chaining.

#### clearRoles

    public AuthRoleListResponse.Builder clearRoles()

`repeated string roles = 2;`

Returns:
  This builder for chaining.

#### addRolesBytes

    public AuthRoleListResponse.Builder addRolesBytes(com.google.protobuf.ByteString value)

`repeated string roles = 2;`

Parameters:
  `value` - The bytes of the roles to add.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final AuthRoleListResponse.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleListResponse.Builder>`

#### mergeUnknownFields

    public final AuthRoleListResponse.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleListResponse.Builder>`